%define name smeserver-xt_geoip
%define version 1.0.1
%define release 9
Summary: smserver rpm to setup database, update and configuration for xt_geoip module with a panel.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://wiki.contribs.org/Main_Page
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-xt_geoip-1.0.1-2-weakupd.patch
Patch1: smeserver-xt_geoip-1.0.1-3-messag.patch
Patch2: smeserver-xt_geoip-1.0.1-4-crontab.patch
Patch3: smeserver-xt_geoip-1.0.1-bz10739.patch
Patch4: smeserver-xt_geoip-1.0.1-stats.patch
Patch5: smeserver-xt_geoip-1.0.1-stats_panel.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
Requires: xtables-addons = 1.47.1
Requires: GeoIP = 1.6.5
AutoReqProv: no

%description
smserver rpm to setup database, update and configuration for xt_geoip module with a panel.

%changelog
* Wed Apr 17 2019 Michel Begue <mab974@gmail.com> 1.0.1-9.sme
- add stats access in the panel [SME: 10745]
- add control of maximum number of countries [SME: 10749]

* Wed Mar 06 2019 Michel Begue <mab974@gmail.com> 1.0.1-7.sme
- add stats of geoip blocked countries [SME: 10745]
- add stats of ssh attacks not geoip blocked [SME: 10744]
- expand /etc/crontab on update

* Mon Feb 18 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-6.sme
- fix unable to load iptables rules [SME: 10739]
  fix warning localtime 
  fix warning "enabled" isn't numeric in numeric eq (==)

* Wed Feb 06 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-5.sme
- first import to SME buildsys

* Sun Oct 29 2017 Michel Begue <mab974@gmail.com>
- bug in crontab update job, 
- [1.0.1-4]

* Mon Oct 16 2017 Michel Begue <mab974@gmail.com>
- new message : inactive GeoIP, 
- value of country code added in message "country not found", 
- [1.0.1-3]

* Sat Oct 08 2017 Michel Begue <mab974@gmail.com>
- test kernel module presence in "/lib/modules/weak-updates" directory
- [1.0.1-2]

* Wed Sep 20 2017 Michel Begue <mab974@gmail.com>
- panel added in server manager
- [1.0.1-1]

* Tue Sep 12 2017 Michel Begue <mab974@gmail.com>
- initial release
- [1.0.0-1]
- xtables-addons v1.47.1 (v1.x required for kernel 2.6.32)

%prep

%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT | egrep -v "usr/share/xt_geoip/geoip_" \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%files
%attr(0755, root, root) /usr/share/xt_geoip/geoip_*
